> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fluxend.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update settings

> Update application settings



## OpenAPI

````yaml put /admin/settings
openapi: 3.0.0
info:
  description: >-
    Fluxend is backend as-a-service platform that allows you to build, deploy,
    and scale applications without managing infrastructure.
  title: Fluxend API
  contact:
    name: API Support
    url: http://github.com/fluxend/fluxend
    email: hello@fluxend.app
  version: '1.0'
servers:
  - url: https://api.fluxend.app
security: []
paths:
  /admin/settings:
    put:
      tags:
        - Admin
      summary: Update settings
      description: Update application settings
      parameters:
        - description: Bearer Token
          name: Authorization
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/setting.UpdateRequest'
        description: Settings update request
        required: true
      responses:
        '200':
          description: Form updated
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/response.Response'
                  - type: object
                    properties:
                      content:
                        type: array
                        items:
                          $ref: '#/components/schemas/setting.Response'
        '400':
          description: Bad request response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/response.BadRequestErrorResponse'
        '401':
          description: Unauthorized response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/response.UnauthorizedErrorResponse'
        '422':
          description: Unprocessable input response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/response.UnprocessableErrorResponse'
        '500':
          description: Internal server error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/response.InternalServerErrorResponse'
components:
  schemas:
    setting.UpdateRequest:
      type: object
      properties:
        settings:
          type: array
          items:
            $ref: '#/components/schemas/setting.IndividualSetting'
    response.Response:
      type: object
      properties:
        content: {}
        errors:
          type: array
          items:
            type: string
        metadata: {}
        success:
          type: boolean
    setting.Response:
      type: object
      properties:
        createdAt:
          type: string
        defaultValue:
          type: string
        id:
          type: integer
        name:
          type: string
        updatedAt:
          type: string
        value:
          type: string
    response.BadRequestErrorResponse:
      type: object
      properties:
        content:
          type: string
          example: 'null'
        errors:
          type: array
          items:
            type: string
          example:
            - Invalid input parameter
        success:
          type: boolean
          example: false
    response.UnauthorizedErrorResponse:
      type: object
      properties:
        content:
          type: string
          example: 'null'
        errors:
          type: array
          items:
            type: string
          example:
            - Unauthorized access
        success:
          type: boolean
          example: false
    response.UnprocessableErrorResponse:
      type: object
      properties:
        content:
          type: string
          example: 'null'
        errors:
          type: array
          items:
            type: string
          example:
            - Validation failed
        success:
          type: boolean
          example: false
    response.InternalServerErrorResponse:
      type: object
      properties:
        content:
          type: string
          example: 'null'
        errors:
          type: array
          items:
            type: string
          example:
            - Internal server error
        success:
          type: boolean
          example: false
    setting.IndividualSetting:
      type: object
      properties:
        name:
          type: string
        value:
          type: string

````